.calcedit-button-container { padding: 15px 20px; border-bottom: 1px solid var(--main-color-border); background-color: #fff; }


.calcedit-form-frame {display: flex; flex-direction: column; height: 100%;}
.calcedit-form-top {flex-grow: 1; overflow: auto;}
.calcedit-form-top form {margin: 0;}
.calcedit-form-bottom {height: 60px; min-height: 60px; padding: 15px 20px; border-top: 1px solid var(--main-color-border);}
.calcedit-form-bottom .calcedit-button {margin-right: 20px;}
.calcedit-form-bottom .calcedit-button:last-child {margin-right: 0;}


.calcedit-button { display: inline-flex; justify-content: center; align-items: center; font-size: 13px; height: 30px; padding: 0 15px; background-color: var(--main-color-2); color: #fff; user-select: none; cursor: pointer; }
.calcedit-button:hover { background-color: var(--main-color-1); }


.calcedit-form-container {padding: 15px 15px; font-size: 14px;}
.calcedit-form-section {padding-bottom: 15px; margin-bottom: 15px; border-bottom: 1px solid #ccc;}
.calcedit-form-section:last-child {border-bottom: 0; margin-bottom: 0; padding-bottom: 0; }
.calcedit-form-line {display: flex; /*align-items: center;*/ margin-bottom: 7px;}
.calcedit-form-line:last-child {margin-bottom: 0;}
.calcedit-form-label {width: 200px; position: relative;top: 4px;}
.calcedit-form-input {flex-grow: 1; display: flex; width: 100%;}
.calcedit-form-input input {width: 100%; height: 24px; border: 1px solid #ccc; padding: 3px 4px; margin-right: 7px; font-size: 12px;}
.calcedit-form-input input[type="checkbox"] {width: 14px; height: 24px; margin: 0; }
.calcedit-form-input input::placeholder {color: #ccc;}
.calcedit-form-input select {width: 100%; height: 24px; border: 1px solid #ccc; padding: 3px 0; margin-right: 7px; font-size: 12px;}
.calcedit-form-input input:last-child {margin-right: 0;}
.calcedit-form-input select:last-child {margin-right: 0;}
.calcedit-form-input textarea {width: 100%; min-height: 40px; height: 50px; max-height: 150px; resize: vertical; border: 1px solid #ccc;}
/*.calcedit-form-info {flex-grow: 1; font-size: 12px; color: #ccc; text-align: right;}*/
.calcedit-form-info {display: none;}

.calcedit-form-fieldset {padding: 8px 10px 10px 10px; border: 1px solid #ccc; margin-bottom: 10px;}
.calcedit-form-fieldset:last-child {margin-bottom: 0;}
.calcedit-form-fieldset legend { padding: 0 10px;}
.calcedit-form-fieldset-line {margin-bottom: 5px;font-size: 12px; display: flex; align-items: center;}
.calcedit-form-fieldset-line:last-child {margin-bottom: 0;}

.calcedit-form-fieldset-line input[type="radio"] {margin:0;}
.calcedit-form-fieldset-line input[type="checkbox"] {margin:0;}
.calcedit-form-fieldset-line > div {margin-right: 7px;border-right: 1px solid #ccc;padding-right: 7px;}

.calcedit-form-thickness-line {margin-bottom: 5px;}
.calcedit-form-thickness-line:last-child {margin-bottom: 0;}

.calcedit-form-thickness-add,
.calcedit-form-thickness-delete {width: 18px; height: 24px; min-width: 18px; min-height: 24px; background-position: center; background-size: contain; background-repeat:  no-repeat; user-select: none; cursor: pointer; opacity: 0.5;}

.calcedit-form-thickness-add:hover,
.calcedit-form-thickness-delete:hover {opacity: 1;}

.calcedit-form-thickness-add {background-image: url('../../dir.graphics/icons/icon_plus_circle.svg'); margin-top: 3px;}
.calcedit-form-thickness-delete {background-image: url('../../dir.graphics/icons/icon_minus_circle.svg');}




.calcedit-form-code {padding: 15px 20px;}
.calcedit-form-code pre {border: 1px solid var(--main-color-border); background-color: #f7f7f7; padding: 10px 15px; margin: 0; font-size: 12px; overflow: auto;}



.calcedit-form-fold {padding: 10px; border: 1px solid #ccc;}
.calcedit-form-fold-button {width: 15px; height: 15px; border: 1px solid #000; cursor: pointer;}
.calcedit-form-fold-content {margin-top: 10px;}




.calcedit-faq-container {display: flex; flex-direction: column; width: 100%;}
.calcedit-faq-list:not(:empty) {margin-bottom: 10px;}
.calcedit-faq-item {border: 1px solid #ccc;font-size: 12px;padding: 2px 5px;width: 100%; background: #fff; cursor: pointer; user-select: none;}
.calcedit-faq-item:not(:last-child) {margin-bottom: 2px;}
.calcedit-faq-input {    display: flex;align-items: center;height: 24px;}
.calcedit-faq-search {width: 100%; max-width: 400px; border: 1px solid #e2e2e2;}
.calcedit-faq-search-item {}
.calcedit-faq-search-id {color: #676767; font-size: 14px;}
.calcedit-faq-search-info {font-size: 10px; color: #000;}
.calcedit-faq-search-q {font-size: 14px;}
.calcedit-faq-search-a {font-size: 12px; color: #ccc;}

.calcedit-faq-button {background: var(--main-color-2);color: #fff;padding: 0px 12px;font-size: 12px;height: 100%;display: flex;align-items: center;user-select: none;cursor: pointer;opacity: 0.8; margin-top: -10px;}
.calcedit-faq-button:hover {opacity: 1;}

.calcedit-faq-blueprint:not(:empty) { border: 1px solid #ccc;font-size: 12px;padding: 4px 5px;margin-bottom: 4px;}

.ui-autocomplete {overflow: auto;max-height: 500px;position: relative;width: 500px;}

.ui-menu-item .ui-menu-item-wrapper.ui-state-active {border: 0!important;margin: 0!important;}
.ui-menu-item .ui-menu-item-wrapper.ui-state-active .calcedit-faq-search-id {color:#fff;}
.ui-menu-item .ui-menu-item-wrapper.ui-state-active .calcedit-faq-search-info {color:#fff;}
.ui-menu-item .ui-menu-item-wrapper.ui-state-active .calcedit-faq-search-a {color: #d2d2d2;}
